<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#ededed"
    android:fitsSystemWindows="true"
    tools:context=".ui.activity.SearchActivity">

    <androidx.cardview.widget.CardView
        android:id="@+id/cv_search"
        android:layout_width="0dp"
        android:layout_height="30dp"
        android:layout_margin="15dp"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp"
        app:cardMaxElevation="0dp"
        app:layout_constraintEnd_toStartOf="@id/tv_cancel"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/iv_search"
                android:layout_width="17dp"
                android:layout_height="17dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="10dp"
                android:src="@drawable/icon_search" />

            <EditText
                android:id="@+id/et_search"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="5dp"
                android:layout_toEndOf="@id/iv_search"
                android:background="@null"
                android:hint="账号/手机号"
                android:maxLines="1"
                android:textColor="@color/black"
                android:textSize="15sp" />

        </RelativeLayout>


    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/tv_cancel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="15dp"
        android:text="取消"
        android:textColor="#576B95"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/cv_search"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/cv_search"
        app:layout_constraintTop_toTopOf="@id/cv_search" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_search_user"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:background="@color/white"
        android:orientation="horizontal"
        android:paddingHorizontal="15dp"
        android:paddingVertical="10dp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@id/cv_search">

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/ifv"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:background="#2BA245"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundPercent="0.1" />

        <ImageView
            android:layout_width="35dp"
            android:layout_height="35dp"
            android:src="@drawable/search_add_friends"
            app:layout_constraintBottom_toBottomOf="@id/ifv"
            app:layout_constraintEnd_toEndOf="@id/ifv"
            app:layout_constraintStart_toStartOf="@id/ifv"
            app:layout_constraintTop_toTopOf="@id/ifv" />

        <TextView
            android:id="@+id/tv_search_content"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="15dp"
            android:text="搜索："
            android:textColor="@color/black"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/ifv"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <TextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:background="@color/white"
        android:paddingHorizontal="15dp"
        android:paddingVertical="7dp"
        android:text="个人"
        android:visibility="gone"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cv_search" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_friends"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:background="#E5E5E5"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/iv_avatar"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/iv_avatar"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="15dp"
            android:src="@drawable/ic_avatar"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundPercent="0.3" />

        <TextView
            android:id="@+id/tv_nickname"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="@string/name"
            android:textColor="@color/black"
            android:textSize="15sp"
            app:layout_constraintBottom_toTopOf="@id/tv_signature"
            app:layout_constraintStart_toEndOf="@id/iv_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_avatar" />

        <TextView
            android:id="@+id/tv_signature"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/signature"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
            app:layout_constraintStart_toStartOf="@id/tv_nickname"
            app:layout_constraintTop_toBottomOf="@id/tv_nickname" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>